#include <bits/stdc++.h>
using namespace std;

int n, br, brp, brn, brpar, gdemini;
int niz[200005];
string s;
int main(){
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cout.tie(NULL);

    cin >> n;
    for(int i = 1; i <= n; i++){
        cin >> niz[i];
        if(abs(niz[i]) % 2 == 0) brpar++;
        if(niz[i] > 0) brp++;
        else brn++;
    }
    if(brpar == n){
        if(brp > brn){
            cout << n << '\n';
            for(int i = 1; i < brp; i++){
                cout << 12;
            }
            cout << 1 << '\n';
        }
        else if(brn > brp){
            cout << n << '\n';
            for(int i = 1; i < brn; i++){
                cout << 21;
            }
            cout << 2 << '\n';
        }
        else{
            cout << n << '\n';
            for(int i = 1; i <= brp; i++){
                cout << 12;
            }
            cout << '\n';
        }
    }
    //else if(brp == n){
    //    cout << 1 << '\n';
    //     cout << 12 << '\n';
    //}
    else if(brn == n){
        cout << n << '\n';
        for(int i = 1; i < n; i++){
            cout << 23;
        }
        cout << 2 << '\n';
    }
    else cout << 1 << '\n';
    //else if(n <= 10){
    //    int p = 0;
    //    int mini = 999999;
    //    for(int i = 1; i <= n; i++){
    //        if(abs(niz[i] - p) < mini){
    //            mini = abs(niz[i] - p);
    //            gdemini = niz[i];
    //        }
    //    }
    //    if(gdemini > 0){
    //        if(zadpotez != 1){
    //            cout << 1;
    //            zadpotez = 1;
    //        }
    //    }
    //}




    return 0;
}